System 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

provides identifiers that can represent a category of user preferences.

Some of the user preferences in these categories can be changed using the Windows Control Panel, the Computer Management console, or programatically using an appropriate API.

Defines identifiers that represent categories of user preferences.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences associated with accessibility features of the system for users with disabilities.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences associated with system colors. This category includes such as the default color of windows or menus.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences associated with the system desktop. This category includes the background image or background image layout of the desktop.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences that are not associated with any other category.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences for icon settings, including icon height and spacing.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences for keyboard settings, such as the key down repeat rate and delay.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates changes in user preferences for regional settings, such as the character encoding and culture strings.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences for menu settings, such as menu delays and text alignment.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences for mouse settings, such as double-click time and mouse sensitivity.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences for policy settings, such as user rights and access levels.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates the user preferences for system power settings. This category includes power feature settings, such as the idle time before the system automatically enters low power mode.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences associated with the screensaver.

- Field
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences associated with visual styles, such as enabling or disabling visual styles and switching from one visual style to another.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.UserPreferenceCategory

  Indicates user preferences associated with the dimensions and characteristics of windows on the system.